Bug 1459218 - Review Request: perl-Dist-Zilla-Plugin-VersionFromMainModule - Set the distribution version from your main module's version
Review Request: perl-Dist-Zilla-Plugin-VersionFromMainModule - Set the distri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1459138
  Show dependency treegraph
 
Reported: 2017-06-06 10:42 EDT by Petr Pisar
Modified: 2017-06-14 01:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Dist-Zilla-Plugin-VersionFromMainModule-0.02-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-14 01:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-06-06 10:42:33 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Dist-Zilla-Plugin-VersionFromMainModule/perl-Dist-Zilla-Plugin-VersionFromMainModule.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Dist-Zilla-Plugin-VersionFromMainModule/perl-Dist-Zilla-Plugin-VersionFromMainModule-0.02-1.fc27.src.rpm
Description:
This Dist::Zilla plugin sets the distribution version from the $VERSION
variable found in the distribution's main module.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-06-13 09:35:58 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Dist-Zilla-Plugin-VersionFromMainModule-0.02-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Dist::Zilla::Role::VersionProvider)
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Module::Metadata)
      1 perl(Moose)
      1 perl(namespace::autoclean)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Dist-Zilla-Plugin-VersionFromMainModule-0.02-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Dist::Zilla::Plugin::VersionFromMainModule) = 0.02
      1 perl-Dist-Zilla-Plugin-VersionFromMainModule = 0.02-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-Dist-Zilla-Plugin-VersionFromMainModule*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2017-06-13 11:45:52 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Dist-Zilla-Plugin-VersionFromMainModule
Comment 3 Petr Pisar 2017-06-14 01:54:10 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.